if(process.env.NODE_ENV === 'development'){
  var baseurl = 'http://jianglan.wicp.vip';
  // #ifdef  APP-PLUS
	var baseurl = 'http://jianglan.wicp.vip';
  // #endif
}else{
	var baseurl = 'https://m.huanleanmo.com';
}
baseurl = 'https://m.huanleanmo.com';

export const myRequest=(options)=>{
	// uni.showLoading({
	// 	title: '数据加载中',
	// 	mask: true
	// })
	return new Promise((resolve,reject)=>{
		uni.request({
			// url:BASEURL+options.url,
			url:baseurl+options.url,
			method:options.method|| 'get',
			data:options.data||{},
			success:(res)=>{
				if(res.data.code == -1 || res.statusCode==401){
					uni.showToast({
						icon: 'none',
						title: '请先登录'
					})
					// #ifdef APP-PLUS
					uni.preLogin({
						provider: 'univerify',
						success(){  										//预登录成功
							uni.login({										//显示一键登录选项
								provider: 'univerify',						
								univerifyStyle: { 							// 自定义登录框样式
									"privacyTerms": {  
										"defaultCheckBoxState":false, // 条款勾选框初始状态 默认值： true
										"privacyItems": [  // 自定义协议条款，最大支持2个，需要同时设置url和title. 否则不生效  
											{
												"url": "https://img.huanleanmo.com/hlam/ys.html",
												"title": "隐私政策" //协议名称
											},
											{
												"url": "https://m.huanleanmo.com/yhxy.html",
												"title": "用户协议" //协议名称
											}
										]
									 }
								},
								success(res){ 								// 登录成功
									console.log(res.authResult);  			// {openid:'登录授权唯一标识',access_token:'接口返回的 token'}
									uniCloud.callFunction({
									  name: 'getPhoneHlam', // 你的云函数名称
									  data: {
									    'access_token': res.authResult.access_token,
									    'openid': res.authResult.openid 
									  }
									}).then(res => {
									  console.log(res)
									  let resp = res.result;
									  console.log(resp)
									  if (resp.code) {
											uni.setStorageSync('amToken', resp.data.userinfo.token);
											uni.setStorageSync('amUid', resp.data.userinfo.user_id);
											uni.setStorageSync('amUserinfo', resp.data.userinfo);
											uni.showToast({
												title: resp.msg
											});
											uni.closeAuthView()
									  } else {
											uni.showToast({
												icon: 'none',
												title: resp.msg
											});
											return false;
									  }
									}).catch(err=>{
									  console.log(err)
									})
								},
								fail(res){  								// 登录失败
									console.log(res.errCode)
									console.log(res.errMsg)
									if(res.errCode==30003){					//用户点击了 关闭
										uni.reLaunch({
											url: '/pages/index/index'
										})
									}
									if(res.errCode==30002){					//用户点击了 其他登录方式
										uni.reLaunch({
											url: '/pages/login/login'
										})
									}
								}
							})												
						},
						fail(res){  										// 预登录失败
							console.log(res.errCode)
							console.log(res.errMsg)
							uni.reLaunch({
								url: '/pages/login/login'
							})
						}
					})
					// #endif
					
					// #ifdef H5
					uni.reLaunch({
						url: '/pages/login/login'
					})
					// #endif
					return false
				}
				resolve(res.data)
				// uni.hideLoading();
			},
			fail:(err)=>{
				// uni.hideLoading();
				uni.showToast({
					title:'请求接口失败'
				})
				reject(err)
			}
		})
	})
}